petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMatMultNumeric

Performs the numeric matrix-matrix product. Call this routine after first calling MatMatMultSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMatMultNumeric(Mat A,Mat B,Mat C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the left matrix
| B | - the right matrix

### Output Parameters

C -the product matrix, which was created by from MatMatMultSymbolic() or a call to MatMatMult().

### Notes

C must have been created with MatMatMultSymbolic().

This routine is currently implemented for - pairs of AIJ matrices and classes which inherit from AIJ, C will be of type MATAIJ. - pairs of AIJ (A) and Dense (B) matrix, C will be of type Dense. - pairs of Dense (A) and AIJ (B) matrix, C will be of type Dense.

### See Also

MatMatMult(), MatMatMultSymbolic()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html